/**
 * Created by wentao.wang on 17/7/6.
 */
function blockAdByTouchPoint(host, touchX, touchY) {
    var targetElement = document.elementFromPoint(touchX, touchY);
    if (targetElement != null) {
     //对百度iframe标签做特殊处理
        if('IFRAME' == targetElement.tagName && host.indexOf('m.baidu.com')>-1 && host.indexOf('www.baidu.com')==-1){
            window.top.location.replace(targetElement.src)
            return false
        }

        var parentElement = targetElement.parentNode;
        if (parentElement != null) {
            var targetChildren = targetElement.parentNode.children;
            for (var i = 0; i < targetChildren.length; i++) {
                var targetChild = targetChildren[i];
                if (targetChild != null) {
                    targetChild.style.display = 'none';
                    var tn = targetChild.tagName;
                    var id = targetChild.hasAttribute('id') ? targetChild.id : '';
                    var cn = targetChild.hasAttribute('className') ? targetChild.className : '';
                    var src = targetChild.hasAttribute('src') ? targetChild.src : '';
                    var content = targetChild.innerText;
                    var href = targetChild.hasAttribute('href') ? targetChild.getAttribute('href') : '';
                    var tagData = {
                        'domain': host,
                        'tn': getTagPath(targetElement),
                        'tag': tn,
                        'tid': id,
                        'cn': cn,
                        'src': src,
                        'content': content,
                        'href': href,
                    };
                    adBlocker.blockAd(JSON.stringify(tagData));
                    adBlocker.revocationBlockAd(JSON.stringify(tagData))
                }
            }
            parentElement.style.display = 'none';
            var tn = parentElement.tagName;
            var id = parentElement.hasAttribute('id') ? parentElement.id : '';
            var cn = parentElement.hasAttribute('className') ? parentElement.className : '';
            var src = parentElement.hasAttribute('src') ? parentElement.src : '';
            var content = parentElement.innerText;
            var href = parentElement.hasAttribute('href') ? parentElement.getAttribute('href') : '';
            var tagData = {
                'domain': host,
                'tn': getTagPath(targetElement),
                'tid': id,
                'tag': tn,
                'cn': cn,
                'src': src,
                'content': content,
                'href': href,
            };
            adBlocker.blockAd(JSON.stringify(tagData));
            adBlocker.revocationBlockAd(JSON.stringify(tagData))
        } else {
            targetElement.style.display = 'none';
            var tn = targetElement.tagName;
            var id = targetElement.hasAttribute('id') ? targetElement.id : '';
            var cn = targetElement.hasAttribute('className') ? targetElement.className : '';
            var src = targetElement.hasAttribute('src') ? targetElement.src : '';
            var content = targetElement.innerText;
            var href = targetElement.hasAttribute('href') ? targetElement.getAttribute('href') : '';
            var tagData = {
                'domain': host,
                'tn': getTagPath(targetElement),
                'tid': id,
                'tag': tn,
                'cn': cn,
                'src': src,
                'content': content,
                'href': href,
            };
            adBlocker.blockAd(JSON.stringify(tagData));
            adBlocker.revocationBlockAd(JSON.stringify(tagData))
        }
    }
}

function showByTouchPoint(touchX, touchY) {
    var targetElement = document.elementFromPoint(touchX, touchY);
    if (targetElement != null) {
        var parentElement = targetElement.parentNode;
        if (parentElement != null) {
            var targetChildren = targetElement.parentNode.children;
            for (var i = 0; i < targetChildren.length; i++) {
                var targetChild = targetChildren[i];
                if (targetChild != null) {
                    targetChild.style.display = 'block';
                    alert(targetChild.className)
                }
            }
            parentElement.style.display = 'block';
            //alert(parentElement.className)
        } else {
            targetElement.style.display = 'block';
            //alert("执行了")
        }
    }
}

function autoBlockUserAd(tid, tn, src, href, content) {
    var elements = document.getElementsByTagName(tn);
    if (elements != null && elements.length != 0) {
        for (var i = 0; i < elements.length; i++) {
            var targetElement = elements[i];
            if (targetElement.id != '' && targetElement.id != null && targetElement.id != undefined && targetElement.id == tid) {
                targetElement.style.display = 'none';
            } else if (targetElement.tagName.toLowerCase() == 'img') {
                if (targetElement.src == src) {
                    targetElement.style.display = 'none';
                }
            } else if (targetElement.tagName.toLowerCase() == 'a') {
                if (targetElement.getAttribute('href') == href) {
                    targetElement.style.display = 'none';
                }
            } else {
                if (targetElement.innerText.length != 0 && targetElement.innerText == content) {
                    targetElement.style.display = 'none';
                }
            }
        }
    }
}

function getTagPath(tag){
    var path = "/"+tag.tagName;

    function getParentTagName(tag){

        if(tag.parentElement != null){
            path = "/"+tag.tagName + "("+getTagIndex(tag)+")" + path
            console.log(path);
            getParentTagName(tag.parentElement,path)
        }else{
            return path = "/"+tag.tagName + "(0)" + path
        }
    }

    function getTagIndex(tag){
        var saveTags = tag.parentElement.children;
        if(saveTags.length > 0){
            var tagIndex = 0;
            for (var i = 0; i < saveTags.length; i++) {
                var curTag = saveTags[i];
                if(curTag == tag){
                    return tagIndex;
                }
                if (curTag.tagName.toLowerCase() == "div"){
                    tagIndex ++;
                }
            }
            return 0;
        }else{
            return 0;
        }
    }

    getParentTagName(tag)
    return path;
}

