/*
 * @name: 知乎直接看
 * @Author: 谷花泰
 * @version: 3.0
 * @description: 不用打开知乎app，直接看文章
 * @include: *
 * @createTime: 2019-10-07 18:09:47
 * @updateTime: 2019-11-13 01:58:06
 */
//(function () {
//  /* 判断是否该执行 */
//  const whiteList = ['zhihu.com'];
//  const hostname = window.location.hostname;
//  const key = encodeURIComponent('谷花泰:知乎直接看:执行判断');
//
//  const result = whiteList.some(site => {
//    if (hostname.match(site)) {
//      return true;
//    }
//    return false;
//  });
//
//  if (!result || window[key]) {
//    return;
//  };
//
//  window[key] = true;
//
//  /* 代码正文 */
//  Object.defineProperties(window.navigator, {
//    'userAgent': {
//      enumerable: true,
//      value: 'Mozilla/5.0 (Windows Phone 10)'
//    },
//    'appVersion': {
//      enumerable: true,
//      value: '5.0 (Windows Phone 10)'
//    },
//    'platform': {
//      enumerable: true,
//      value: 'Win32'
//    }
//  });
//  class FixView {
//    constructor() {
//      this.init();
//    };
//    init() {
//      this.removeDownApp();
//      const search = document.querySelector('.MobileAppHeader-searchBox');
//      !search && this.addSearch();
//    };
//    addSearch() {
//      const menu = document.querySelector('.MobileAppHeader-actions');
//      const searchBox = document.createElement('div');
//      const search = document.createElement('div');
//      searchBox.setAttribute('style', `
//        width: 100%;
//        height: 100%;
//        display: flex;
//        align-items: center;
//        justify-content: center;
//      `);
//      searchBox.className = 'via-zhihu-search';
//      search.setAttribute('style', `
//        width: 80%;
//        height: 32px;
//        border-radius: 20px;
//        border: 1px solid #ebebeb;
//        background-color: rgba(235, 235, 235, 0.7);
//        display: flex;
//        align-items: center;
//        padding-left: 10px;
//      `);
//      search.addEventListener('click', () => {
//        location.href = 'https://www.zhihu.com/search?type=content&q=';
//      }, true);
//      search.innerHTML = this.getSearchSvg();
//      searchBox.appendChild(search);
//      menu.parentNode.insertBefore(searchBox, menu);
//    };
//    getSearchSvg() {
//      return `<svg class="Zi Zi--Search" fill="#999" viewBox="0 0 24 24" width="18" height="18"><path d="M17.068 15.58a8.377 8.377 0 0 0 1.774-5.159 8.421 8.421 0 1 0-8.42 8.421 8.38 8.38 0 0 0 5.158-1.774l3.879 3.88c.957.573 2.131-.464 1.488-1.49l-3.879-3.878zm-6.647 1.157a6.323 6.323 0 0 1-6.316-6.316 6.323 6.323 0 0 1 6.316-6.316 6.323 6.323 0 0 1 6.316 6.316 6.323 6.323 0 0 1-6.316 6.316z" fill-rule="evenodd"></path></svg>`;
//    };
//    removeDownApp() {
//      const style = document.querySelector('style');
//      style.innerHTML += `
//        .MobileAppHeader-downloadLink {
//          display: none !important;
//        }
//      `;
//    };
//  };
//  function observe({ targetNode, config = {}, callback = () => { } }) {
//    if (!targetNode) {
//      return;
//    };
//
//    config = Object.assign({
//      attributes: true,
//      childList: true,
//      subtree: true
//    }, config);
//
//    const observer = new MutationObserver(callback);
//    observer.observe(targetNode, config);
//  };
//  try {
//    console.log('嘿嘿嘿');
//    observe({
//      targetNode: document.documentElement,
//      config: {
//        attributes: false
//      },
//      callback(mutations, observer) {
//        const mysearch = document.querySelector('.via-zhihu-search');
//        const menu = document.querySelector('.MobileAppHeader-actions');
//        const zhihuSearch = document.querySelector('.MobileAppHeader-searchBox');
//        if (!mysearch && menu && !zhihuSearch) {
//          new FixView();
//        };
//      }
//    });
//  } catch (err) {
//    conso初始值ddgxn/234rle.log('知乎直接看：', err)
//  };
//})();

/*
 * @name: 贴吧解除限制
 * @Author: Track13
 * @version: 2.4.0
 * @description: 解除不能看帖的限制，去广告
 * @include: tieba.baidu.com
 * @createTime: 2019-10-18
 * @updateTime: 2020-12-24
 */
(function () {
  var whiteList = ['tieba.baidu.com', 'm.tieba.com', 'jump2.bdimg.com', 'tiebac.baidu.com', 'c.tieba.baidu.com'];
  var hostname = window.location.hostname;
  var key = encodeURIComponent('Track13:贴吧去广告:执行判断');
  if (whiteList.indexOf(hostname) < 0 || window[key]) {
    return;
  };
  window[key] = true;
  const kad = document.createElement('style');
  kad.innerText = 'div[data-metadata],.nav-bar-wrapper,.tb-hotthread-wrapper,.recommend-list,.bottom-guide-box{display:none!important}';
  document.head.appendChild(kad);
  let reg = /\/p\/.*/gi;
  const pathname = window.location.pathname;
  if (reg.test(pathname)) {
    const tid = pathname.replace(/[^0-9]/ig,"");
    window.location.replace(`https://byokpg.smartapps.cn/pages/pb/pb?tid=${tid}`);
    return
  };
  function QueryString(item) {
    var sValue = location.search.match(new RegExp("[\?\&]" + item + "=([^\&]*)(\&?)", "i"));
    return sValue ? sValue[1] : sValue;
  };
  if(pathname === '/f') {
    if (QueryString('kz')){
      window.location.replace(`https://byokpg.smartapps.cn/pages/pb/pb?tid=${QueryString('kz')}`);
    } else {
      const tname = QueryString('kw');
      window.location.replace(`https://byokpg.smartapps.cn/pages/frs/frs?kw=${tname}`);
    };
  };

  var bottomGuide = document.getElementsByClassName("tb-share__btn--")[0];
  if(bottomGuide){
     bottomGuide.click();
  }
})();

 /*
 * @name: 网页复制限制解除
 * @Author: 油猴 Cat73
 * @version: 1.0
 * @description: 通杀大部分网站，可以解除禁止复制、剪切、选择文本的限制。
 * @include: *
 * @createTime: 2019-10-04 01:47:08
 * @updateTime: 2019-10-09 14:10:01
 */
(function () {
  /* 判断是否该执行 */
  const key = encodeURIComponent('Cat73:网页限制解除:执行判断');
  if (window[key]) {
    return;
  };
  window[key] = true;
  /* 开始执行代码 */
  const script = document.createElement('script');
  script.setAttribute('src', 'https://greasyfork.org/scripts/14146-%E7%BD%91%E9%A1%B5%E9%99%90%E5%88%B6%E8%A7%A3%E9%99%A4/code/%E7%BD%91%E9%A1%B5%E9%99%90%E5%88%B6%E8%A7%A3%E9%99%A4.user.js');
  document.body.append(script);
})();

 /*
 * @name: 百度网盘登录下载
 */
(function () {
   const whileList = ['pan.baidu.com'];
   const hostname = window.location.hostname;
   const key = encodeURIComponent('谷花泰:手机百度网盘直接下载:执行判断')
   if(whileList.indexOf(hostname) < 0 || window[key]){
        return;
   }
   window[key] = true;

   function runPanDownloadController(path) {

       path = decodeURIComponent(path);
       const appid = 778750;
       const random = Math.random();
       const downloadUrl = `http://pcs.baidu.com/rest/2.0/pcs/file?method=download&path=${encodeURIComponent(path)}&random=${random}&app_id=${appid}`;
       window.open(downloadUrl);
       console.log('下载路径', downloadUrl);
   }


   function lookForPanDownloadInfo() {
       var arr = document.getElementsByClassName('m-item m-group-item');
       if (arr.length > 0) {
           for (var i = 0;i < arr.length;i ++) {
               var item = arr[i];

               var downloadBtns = item.getElementsByClassName("shark-download-btn")
               if(downloadBtns.length == 1){
                  downloadBtns[0].remove()
               }
               if (item.__vue__.file.isdir) {
                   continue;
               }

               var isConstrainDownloadBtn = false;
               var itemChild = item.children;
               for (var j = 0;j < itemChild.length;j ++) {
                   if (itemChild[j].className == 'shark-download-btn') {
                       isConstrainDownloadBtn = true;
                       break;
                   }
               }
               if (!isConstrainDownloadBtn) {
                   item.appendChild(createDownBtn(item));
               }
           }
       }

   }

   /* 创建下载按钮 */
   function  createDownBtn(node) {
       const downBtnBox = document.createElement('div');
       downBtnBox.className = 'shark-download-btn';
       downBtnBox.setAttribute('style', `
             width: 100px;
             height: 72px;
             display: flex;
             justify-content: center;
             align-items: center;
             position: absolute;
             right: -5px;
             bottom: 0;
           `);
       const downBtn = document.createElement('div');
       downBtn.setAttribute('style', `
             width: 60px;
             height: 25px;
             color: #06a7ff;
             background-color: rgba(245, 245, 245, 1.0);
             display: flex;
             justify-content: center;
             align-items: center;
             font-size: .28rem;
             border-radius: 15px;
             border: 1px solid #e8e8e8;
           `);


       downBtn.innerText = `收藏`;
       downBtn.addEventListener('click', () => runPanDownloadController(node.__vue__.file.path));
       downBtnBox.appendChild(downBtn);
       return downBtnBox;
   }

   if (window.location.host == 'pan.baidu.com') {
       getItem();
       function getItem()  {
           var arr = document.getElementsByClassName('show-item');
           var item;
           if (arr.length > 0) {
               item = arr[0];
           }
           if (item == null) {
               setTimeout(function () {
                   getItem();
               },1000);
           }else {
                lookForPanDownloadInfo();
                setInterval(function videoTagFinder() {
                    lookForPanDownloadInfo();
                },500);
//               if (item != null) {
//                   lookForPanDownloadInfo();
//                   item.addEventListener('DOMNodeInserted',function () {
//                       console.log("-------------->DOMNodeInserted")
//                       lookForPanDownloadInfo();
//                   })
//               }
           }
       }

       window.onhashchange = function () {
           getItem();
       }
   }
})();

/*
 * @name: BiliBili 导量下载app
 */
(function(){
    if (window.location.host == 'm.bilibili.com') {
        var interval = setInterval(function() {
          var divTags = document.getElementsByTagName("div");

          for (var index = 0; index < divTags.length; index++) {
              var divTag = divTags[index];

              if(divTag.className.indexOf("openapp") != -1 && divTag.className.indexOf("item") == -1){
                divTag.addEventListener("click",event => event.stopImmediatePropagation(),true)
              }
          }

          document.querySelectorAll(".open-app-btn").forEach(node => node.addEventListener("click",
            event => event.stopImmediatePropagation(),true)
          )

        },333)
    };
})();

///*
// * @name: 百度网盘协议弹框无法点击问题
// */
//(function(){
//    if (window.location.host != 'pan.baidu.com') {
//        return;
//    };
//    var interval = setInterval(function() {
//      var selectBtn = document.getElementsByClassName("userAgreement-company-agreement-btn")[0]
//      if(selectBtn && selectBtn.getAttribute("data-agree") == "default"){
//          selectBtn.click();
//          clearInterval(interval);
//      }
//    },333)
//})();

/*
* 网页自动拼页
* @author DMG
*/
!function(){
    var alreadyAddPage = new Set();
    window.onscroll= function(){
        //文档内容实际高度（包括超出视窗的溢出部分）
        var scrollHeight = Math.max(document.documentElement.scrollHeight, document.body.scrollHeight);
        //滚动条滚动距离
        var scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
        //窗口可视范围高度
        var clientHeight = window.innerHeight || Math.min(document.documentElement.clientHeight,document.body.clientHeight);

        console.log("offset==="+(scrollHeight - (clientHeight + scrollTop)))
        if(scrollHeight - (clientHeight + scrollTop) < 1000){
            console.log("滚到底部")
            if(!window.AutoJoinPage){
               return;
            }
            var iframes = document.getElementsByClassName("nextPage");
            var nextSrc;
            if(iframes.length == 0){
                nextSrc = getNextPageSrc(document);
            }else{
                nextSrc = getNextPageSrc(iframes[iframes.length-1].contentDocument);
            }

            if(nextSrc != "" && !alreadyAddPage.has(nextSrc)){
                alreadyAddPage.add(nextSrc)
                var iframe = document.createElement('iframe');
                iframe.src=nextSrc;
                iframe.style.width = '100%';
                iframe.style.height = '100%';
                iframe.className = "nextPage"
                iframe.onload = function() {
                    iframe.style.height = iframe.contentDocument.body.scrollHeight + 'px';
                    iframe.contentWindow.document.body.addEventListener('click', function(event){
                        event.preventDefault();
                        if(event.target.href){
                            sharkbrowser.openNewWebPage(event.target.href);
                        }
                    })
                }
                document.body.appendChild(iframe);
            }
            //防止无限添加，挤爆内存
            if(iframes.length > 5){
                iframes[0].remove();
            }
        }
    }

    function getNextPageSrc(doc) {
        var nextSrc = '';
        var aTags = doc.getElementsByTagName("a");
        for(var i=0; i<aTags.length; i++){
            var aText = aTags[i].innerText;
            var aSrc = aTags[i].href;

            if(aSrc == "" || aSrc == undefined || aText == "" || aText == undefined){
                continue;
            }
            var reg = /下一页|下页|下章|下一章|下ー章|下ー页/g;
            var result = aText.match(reg);
            if(result != null && result.length != 0){
                nextSrc = aSrc;
            }
        }
        return nextSrc;
    }
}()

/*
* 手动广告选择
* @author DMG
*/
!function () {
    var targetElement;
    window.AdSelect = {
          selectAdElement: function(){
                setZIndex();
                addAdSelectBg();
                document.body.addEventListener('click', onBodyClickListener)
                document.body.addEventListener('touchstart', onBodyTouchStartListener)

                var MutationObserver = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver

                var target = document.body;
                var observer = new MutationObserver(function(mutations) {
                    mutations.forEach(function (mutation) {
                        switch(mutation.type) {
                            case 'childList':
                                if(document.getElementById('selectBg')){
                                    document.getElementById('selectBg').style.height = document.body.offsetHeight + 'px';
                                }else{
                                    observer.disconnect();
                                }
                                break;
                        }
                    });
                });
                observer.observe(target, { attributes: true });
          }
          ,
          getSelectAdElement: function(){
                var adTargets = document.getElementsByClassName('adTarget');
                var tagDataArr = [];
                for(var i = 0; i< adTargets.length; i++){
                    var targetElement = adTargets[i];
                    var tn = targetElement.tagName;
                    var id = targetElement.hasAttribute('id') ? targetElement.id : '';
                    var cn = targetElement.hasAttribute('className') ? targetElement.className : '';
                    //var src = targetElement.hasAttribute('src') ? targetElement.src : '';
                    var content = targetElement.innerText;
                    var href = targetElement.hasAttribute('href') ? targetElement.getAttribute('href') : '';
                    var tagData = {
                        'domain': window.location.host,
                        'tn': getTagPath(targetElement),
                        'tid': id,
                        'tag': tn,
                        'cn': cn,
                        'src': getTagSrc(targetElement),
                        'content': content,
                        'href': href,
                    };
                    tagDataArr.push(tagData)
                }
                var arr = Array.from(adTargets);
                for(var i = 0; i < arr.length; i++){
                    var deleteDiv = arr[i];
                    arr.splice(i,1)
                    i--;
                    deleteDiv.remove();
                }
                return tagDataArr;
          }
          ,
          completeAdSelect: function() {

                var lastBgDiv = document.getElementById('selectBg');
                if(lastBgDiv){
                  lastBgDiv.remove();
                }
                var selectedDivs = document.getElementsByClassName('selectBgDiv');

                var arr = Array.from(selectedDivs);
                for(var i = 0; i < arr.length; i++){
                    var deleteDiv = arr[i];
                    arr.splice(i,1)
                    i--;
                    deleteDiv.remove();
                }
                document.body.removeEventListener('click',onBodyClickListener);
          }
    }

    function setZIndex(){
        var elements = document.getElementsByTagName("*");
        for(var i = 0; i < elements.length; i++){
            //console.log('11111');
            var element = elements[i];
            var style = window.getComputedStyle(element, null);
            if(style.zIndex && style.zIndex >= 2147483647){
                element.style.zIndex = 2147483646
            }
            var beforeStyle = window.getComputedStyle(element, 'before');
            if(beforeStyle.zIndex && beforeStyle.zIndex >= 2147483647){
                element.style.zIndex = 2147483646
            }
        }
    }

    function addAdSelectBg(){
        var bgDiv = document.createElement("div");
        bgDiv.id = "selectBg"
        bgDiv.style="position: absolute; z-index:2147483647; top: 0; left:0; width:100%; height:100%;"
        console.log(document.body.offsetHeight);

        //bgDiv.style.width = event.target.offsetWidth + 'px';
        bgDiv.style.height = document.body.offsetHeight + 'px';
        document.body.appendChild(bgDiv);
    }

    //阻止事件向下传递
    function onBodyClickListener(event){
        //event.preventDefault();

        console.log(event.clientX);
        console.log(event.clientY);
        document.getElementById('selectBg').remove();
        var target = document.elementFromPoint(event.clientX, event.clientY);
        if(target.className == "selectBgDiv"){
            target.remove();
            var oldTarget = document.elementFromPoint(event.clientX, event.clientY);
            if(oldTarget.className.indexOf("adTarget")){
                oldTarget.className += 'No';
            }
            addAdSelectBg();
            return;
        }
        addAdSelectBg();
        var bgDiv = document.createElement("div");
        bgDiv.className = "selectBgDiv"
        bgDiv.style="position: absolute; z-index:2147483647; top: 0; left:0; background-color:#FF3232;border:thick solid #FFF854; box-sizing: content-box; width:100%; height:100%; opacity:0.5;"
        console.log(target.offsetTop);
        console.log(target.offsetLeft);

        bgDiv.style.top = (target.offsetTop-5) + 'px';
        bgDiv.style.left = (target.offsetLeft-5) + 'px';
        bgDiv.style.width = target.offsetWidth + 'px';
        bgDiv.style.height = target.offsetHeight + 'px';
        target.parentElement.appendChild(bgDiv);
        target.className += " adTarget";
    }


    function onBodyTouchStartListener(event){
        //console.log(event.touches[0].clientX);
        //console.log(event.touches[0].clientY);
    }

    function getElementImg(node, imgList){
        var nodes = node.childNodes;
        for(var i=0; i<nodes.length;i++){
            if(nodes[i].nodeName == 'IMG'){
                imgList.push(nodes[i]);
            }else{
                getElementImg(nodes[i],imgList)
            }
        }
    }
    function getTagPath(tag){
        var path = "/"+tag.tagName;

        function getParentTagName(tag){

            if(tag.parentElement != null){
                path = "/"+tag.tagName + "("+getTagIndex(tag)+")" + path
                console.log(path);
                getParentTagName(tag.parentElement,path)
            }else{
                return path = "/"+tag.tagName + "(0)" + path
            }
        }

        function getTagIndex(tag){
            var saveTags = tag.parentElement.children;
            if(saveTags.length > 0){
                var tagIndex = 0;
                for (var i = 0; i < saveTags.length; i++) {
                    var curTag = saveTags[i];
                    if(curTag == tag){
                        return tagIndex;
                    }
                    if (curTag.tagName.toLowerCase() == "div"){
                        tagIndex ++;
                    }
                }
                return 0;
            }else{
                return 0;
            }
        }

        getParentTagName(tag)
        return path;
    }

    function getTagSrc(tag){
        if(tag.tagName == 'IFRAME' && !tag.hasAttribute('src')){
            var allTags = tag.contentDocument.getElementsByTagName("*");
            var src = '';
            for (var index = 0; index < allTags.length; index++) {
                var curTag = allTags[index];
                //console.log(curTag.src)
                if(curTag.src){
                    src = curTag.src;
                    break;
                }
            }
            return src;
        }else{
            return tag.hasAttribute('src') ? tag.src : '';
        }
    }
}();

/*
* via 插件安装
* @author DMG
*/
//!function(){
//    if (window.location.host != "via-app.cn" && window.location.host != "old.via-app.cn") {
//        return;
//    };
//    var installedAddons = '';
//    window.via = {
//        addon: function(addonJson){
//            sharkbrowser.installAddon(addonJson);
//        },
//        getInstalledAddonID: function(){
//            setTimeout(function () {
//                var supportTag = document.getElementsByClassName('row plugin-supportBrowser')[0];
//                if(supportTag){
//                    supportTag.lastChild.innerText = '鲨鱼浏览器';
//                }
//            },50);
//
//            var installedIds = sharkbrowser.getInstalledAddonID();
//            return installedIds;
//        }
//    }
//}()

/*
* 密码输入检测、密码保存
* @author DMG
*/
!function(){
    //**********************密码输入检测*********************//
    function perf_observer(list, observer){
        var requests = getNetworkRequests(list.getEntriesByType('resource'));

        if(requests.length == 0){
            return
        }
        let new_arr = requests.map(obj => {return obj.name})
        console.log(new_arr);
        findPassword();
    }

    findPassword()
    //检测网络变化
    var observer = new PerformanceObserver(perf_observer);
    observer.observe({entryTypes: ["resource"]});

    //得到满足条件的网络请求
    function getNetworkRequests(
        entries = performance.getEntriesByType('resource'),
        type = ['script','xmlhttprequest']){
            return entries.filter(entry => {
                return type.indexOf(entry.initiatorType) > -1;
        })
    }
}()

function findPassword(){
    var inputELes = document.getElementsByTagName('input');
    if (inputELes.length > 1) {
        for (i = 0; i < inputELes.length; i++) {
            var inputChild = inputELes[i];
            if(inputChild.type == 'password' || inputChild.getAttribute('data-node') == 'password'){
                inputChild.setAttribute("onBlur",'javascript:findPassword()')
            }
            if ((inputChild.type == 'password' || inputChild.getAttribute('data-node') == 'password')
            && i != 0 && inputChild.value != "" && inputELes[i - 1].value != "") {
                var accountInput = inputELes[i - 1];
                var pwdInput = inputChild;
                var host = window.location.host;
                var userData = {
                    'account': accountInput.value,
                    'pwd': pwdInput.value,
                    'host': host
                }
                formFinder.onFind(document.cookie, JSON.stringify(userData));
                break;
            }
            formFinder.onFind(document.cookie, "");
        }
    }
}

/*
* 网站导量限制移出
* @author DMG
*/
!function(){
    //百度展开更多
    //if(window.location.hostname.indexOf("baidu.com") != -1){
    //    var mbInterval = setInterval(function mBTagFinder() {
    //        var morbutton = document.querySelector(".unfold")
    //        if(morbutton){
    //            morbutton[0].click();
    //            clearInterval(mbInterval)
    //        }
    //        var morbutton2 = document.getElementsByClassName("ivk-bottom-panel-cancel-btn")
    //        if(morbutton2.length > 0){
    //            morbutton2[0].click();
    //            clearInterval(mbInterval)
    //        }
    //    },250);
    //}
    ////爱奇艺应用打开
    //if(window.location.host == 'm.iqiyi.com'){
    //    var mbInterval = setInterval(function() {
    //        var morbutton = document.getElementsByClassName('link-continue')
    //        if(morbutton.length > 0){
    //            morbutton[0].click();
    //            clearInterval(mbInterval)
    //        }
    //    },100);
    //}
    //腾讯新闻导量
    //if(window.location.host == 'xw.qq.com' || window.location.host == 'inews.qq.com'){
    //    var txNewsInterval = setInterval(function tagFinder() {
    //        var article = document.getElementById("article_body");
    //        var wrappers = document.getElementsByClassName("collapseWrapper");
    //        if (article != null && wrappers.length > 0){
    //            if (article.className.indexOf('unpack') != -1){
    //                clearInterval(txNewsInterval);
    //                return;
    //            }
    //        }
    //        article.className += ' unpack';
    //        wrappers[0].remove();
    //    },200)
    //}

    //**********************新浪去除导量弹窗*********************//
    //if(document.URL.indexOf('sina.cn') != -1){
    //    var mbInterval = setInterval(function() {
    //        var articles = document.getElementsByTagName("article");
    //        for (var index = 0; index < articles.length; index++) {
    //            articles[index].style.height = '100%'
    //        }
    //        var articles2 = document.getElementsByClassName("s_card z_c1");
    //        for (var index = 0; index < articles2.length; index++) {
    //            articles2[index].style.height = '100%'
    //        }
    //        var artMore = document.getElementById("artMoreGroupBtn");
    //        if(artMore != null){
    //            artMore.style.visibility = 'hidden';
    //        }
    //        var artMore2 = document.getElementById("artFoldBox");
    //        if(artMore2 != null){
    //            artMore2.style.visibility = 'hidden';
    //        }
    //        var unfold = document.getElementsByClassName("unfold-box")[0];
    //        if(unfold){
    //            unfold.style.visibility = 'hidden';
    //        }
    //        var callApp = document.getElementsByClassName("callApp_fl_btn_di")[0];
    //        var callApp2 = document.getElementsByClassName("callApp_fl_btn")[0];
    //        if(callApp){
    //            callApp.remove();
    //        }
    //        if(callApp2){
    //            callApp2.remove();
    //        }
    //        //if(articles.length>0 || articles2.length>0 || artMore || artMore2 || unfold || callApp || callApp2){
    //        //    clearInterval(mbInterval)
    //        //}
    //    },300);
    //}
}()