/*
* 侵入式广告屏蔽
* @author DMG
*/
!function(){
    console.log('invasiveadblock.js function>>>>执行');
    var parent = document.querySelector('head');
    var style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = ".invasivead {display: none !important;};"
    parent.appendChild(style)
    document.onreadystatechange = function(){
　　　　　 if(document.readyState == "complete"){
             //console.log('invasivead onreadystatechange onreadystatechange');
             setTimeout(function () {
                  traverseFindAds(document.body.querySelectorAll("*"));
              },0);
　　　　　 }
　　 }
    var observer2 = new MutationObserver(function(mutations) {
        mutations.forEach(function (mutation) {
            //console.log('invasivead 变动');
            //var removeE = mutation.removedNodes[0];
            //var style = window.getComputedStyle(removeE, null);
            console.log(mutation);
            isAdElementAndBlock(mutation.target);
            traverseFindAds(mutation.addedNodes);
        });
    });
    observer2.observe(document.body, {childList: true , subtree: true});

    function traverseFindAds(elements){
        Array.from(elements).forEach(function(element) {
            isAdElementAndBlock(element);
        })
    }

    traverseFindAds(document.body.querySelectorAll("*"))

    function isAdElementAndBlock(element){
        if(element.tagName == "HEADER" || element.tagName == "FOOTER" || element.nodeType != 1){
            return;
        }

        var style = window.getComputedStyle(element, null);
        var beforeStyle = window.getComputedStyle(element, 'before');
        if(isAdElement(style, element) || isAdElement(beforeStyle, element)){
           //console.log(element);
           //console.log(style.position);
           //console.log(style.zIndex);
           //console.log(style.bottom);
           console.log("isAdElement className:"+element.className);
           element.style.display = 'none';
           element.style.cssText = 'display:none !important';

           element.className = element.className + " invasivead"
           exterminateAnEntireFamily(element.className)

           console.log("isAdElement zIndex:"+style.zIndex);
        }
    }

    function exterminateAnEntireFamily(className){
       var allAds = document.body.querySelectorAll("."+className.trim())
       Array.from(allAds).forEach(function(element) {
            if(element.className.indexOf("invasivead") == -1){
                element.className = element.className + " invasivead"
            }
       })
    }

    function isAdElement(style, element){
        //通用视频插件的播放按钮，无法区分，单独处理
        if(element.id && element.id == "mainIcon") return false;

        if(style.zIndex > 2147483600) {
            console.log("处于最顶层className: "+element.className);
            return true;
        }
        var couldAd = style.position == "fixed" && style.zIndex > 99;
        if(!couldAd) return false;

        if(element.offsetHeight > 150 && parseInt(style.left) == parseInt(window.screen.width/2)){
            return false;
        }

        if((parseInt(style.height) < 99 || parseInt(style.width) < 99) && document.getElementsByClassName(element.className).length > 18){
            element.setAttribute("blocked", true);
            return true;
        }
        if(!(element.parentElement instanceof HTMLBodyElement) && (parseInt(style.top) == 0 || parseInt(style.bottom) == 0) && (parseInt(style.width) == document.body.offsetWidth || parseInt(element.offsetWidth) == document.body.offsetWidth)){
            return false;
        }
        var isAd = ((parseInt(style.height) > 99 && parseInt(style.width) > 60 ) || (parseInt(style.width) > 99) && parseInt(style.height) > 60) && style.display != "flex";
        if(isAd){
            element.setAttribute("blocked", true);
        }
        return isAd;
    }
}();
