if (isExitsBrowserFunction('getIcoLinkHref')) {
    getIcoLinkHref()
} else {
    function getIcoLinkHref() {
        document.getElementsByTagName('head').item(0);
        var links = document.getElementsByTagName('link');
        var linkStr;
        for (var i = 0; i < links.length; i++) {
            var link = links[i];
            var rel = link.rel;
            if (rel.indexOf('apple-touch-icon') == 0) {
                if (linkStr && link.sizes && link.sizes > '200x200') {
                    break
                }
                linkStr = link.href
            }
        }
        if (linkStr == null) {
            for (var i = 0; i < links.length; i++) {
                var link = links[i];
                var rel = link.rel;
                if (rel.indexOf('shortcut icon') == 0) {
                    linkStr = link.href;
                    break
                }
            }
        }
        if (linkStr == null) {
            for (var i = 0; i < links.length; i++) {
                var link = links[i];
                var hrefStr = link.href;
                if (hrefStr.lastIndexOf('favicon.ico') >= 0 || hrefStr.lastIndexOf('logo.png') >= 0 || hrefStr.lastIndexOf('logo.jpg') >= 0 || hrefStr.lastIndexOf('logo.jpeg') >= 0) {
                    linkStr = link.href;
                    break
                }
            }
        }
        return linkStr
    }
    getIcoLinkHref()
}


function isExitsBrowserFunction(funcName) {
    try {
        if (typeof(eval(funcName)) == "function") {
            return true;
        }
    } catch (e) {

    }
    return false;
}