/*
* 全局类方法
* @author DMG
*/
!function(){
    console.log("main.js function>>>>执行");
    var isPlayOnWeb=false;
    window.SharkBrowser = {
        //搜索推荐
        getBdSearcNovel: function(){
            var videoNovelNodes = document.getElementsByClassName("c-result result");
            var videoNovelDataArr = [];
            Array.from(videoNovelNodes).forEach(function(element,index,array) {
              var titleEle = element.querySelector(".c-title-text");
              var aEle = element.querySelector("a");
              var isNovel = element.attributes.srcid.value == "www_novel_normal";
              var reg = /观看|直播|腾讯视频|爱奇艺|优酷/g;
              var isVideo = element.attributes.srcid.value == "www_video_normal" ||
                    (titleEle && titleEle.textContent.match(reg)) || (aEle && aEle.textContent.match(reg));
              if(!isNovel && !isVideo){
                  return;
              }

              var sourceEle = element.querySelector(".c-color-source");
              var hrefEle = element.dataset;
              var authorEle = element.querySelector(".www-novel-normal-abstract-info");
              var abstractEle = element.querySelector("div[class='c-color']");
              var coverEle = element.querySelector(".c-img-img");
              var href = element.attributes.srcid.value == "yl_vd_basis" ? element.querySelector("article").attributes.getNamedItem("rl-link-href").value : JSON.parse(hrefEle.log).mu;
              if(titleEle && sourceEle && hrefEle && hrefEle.log){
                  var novel = {
                      'title' : titleEle.textContent,
                      'source': sourceEle.textContent,
                      'href'  : href,
                      'author': authorEle? authorEle.textContent:'',
                      'abstract': abstractEle? abstractEle.textContent:'',
                      'cover' : coverEle? coverEle.src:'',
                      'type'  : isNovel? 'novel':'video'
                  };
                  videoNovelDataArr.push(novel);
              }
            });
            var nextPageA = document.querySelector(".new-nextpage-only")
            if(!nextPageA){
                nextPageA = document.querySelector(".new-nextpage")
            }
            return {'list': videoNovelDataArr, 'next':nextPageA.href};
        },
        //当前页面视频检测
        checkCurPageHasVideo: function(){
            console.log('main.js checkCurPageHasVideo');
            doCheckCurPageHasVideo(false);
            var zjIframes = document.getElementsByClassName("zjzyIframe")
            for(var i = 0; i < zjIframes.length; i++){
             zjIframes[i].contentWindow.postMessage("checkVideoTag","*");
            }
        },
        //音视频播放事件注册
        registerVideoAudioEvent: function(){
            this.checkCurPageHasVideo();
            var videoTags = document.getElementsByTagName("video");
            Array.from(videoTags).forEach(function(element,index,array) {
                console.log('main.js registerVideoTagEvent:'+element );
                registerVideoTagEvent(element);
            });

            checkCrossDomainVideo()  ;
            registerAudioTagEvent();

            var observer = new MutationObserver(function(mutations) {
                mutations.forEach(function (mutation) {
                    console.log('main.js 属性变动：target'+mutation.target.tagName );

                    if(mutation.target instanceof HTMLVideoElement || mutation.target.tagName == 'video' || mutation.target.tagName == 'VIDEO'){
                       registerVideoTagEvent(element);
                    }

                    Array.from(mutation.addedNodes).forEach(function(element,index,array) {
                        console.log('main.js 属性变动：add'+element.tagName);
                        if(element instanceof HTMLVideoElement || element.tagName == 'video' || element.tagName == 'VIDEO'){
                           registerVideoTagEvent(element);
                        }
                        if(element instanceof HTMLIFrameElement || element.tagName == 'iframe' || element.tagName == 'IFRAME'){
                           checkCrossDomainVideo();
                        }
                    });
                    if(mutation.target instanceof HTMLIFrameElement || mutation.target.tagName == 'iframe' || mutation.target.tagName == 'IFRAME'){
                       checkCrossDomainVideo();
                    }
                    doCheckCurPageHasVideo(true);
                });
            });
            observer.observe(document.body, {childList: true , subtree: true});
        },
        //设置网页播放
        setPlayOnWeb: function(){
            isPlayOnWeb=true;
            var zjIframes = document.getElementsByClassName("zjzyIframe")
            for(var i = 0; i < zjIframes.length; i++){
               zjIframes[i].contentWindow.postMessage("playOnWeb","*");
            }
            var curVideoTag = document.querySelector("video")
            if(curVideoTag){
                curVideoTag.play()
            }
        },
        //显示视频标签
        showVideoTag: function(){
            var videoTag = document.getElementsByTagName("video")[0]
            if(videoTag.duration < 70){
            }else{
                videoTag.parentNode.style.visibility = 'visible'
            }
        },
        //暂停视频
        pauseVideo: function(){
            var videoTags = document.getElementsByTagName("video")
            if(videoTags.length == 1){
                videoTags[0].pause();
            }
            var zjIframes = document.getElementsByClassName("zjzyIframe")
            for(var i = 0; i < zjIframes.length; i++){
               zjIframes[i].contentWindow.postMessage("pauseVideo","*");
            }
        },
        //播放视频
        playVideo: function(){
            var videoTags = document.getElementsByTagName("video")
            if(videoTags.length == 1){
                var videoTag = videoTags[0];
                var source = videoTag.querySelector("source")
                if(videoTag.src != "" || (source && source.src != "") || window.location.hostname == 'm.bilibili.com'){
                    videoTag.pause();
                    videoTag.play();
                } else {
                    videoTag.src = "";
                }
            }
            var zjIframes = document.getElementsByClassName("zjzyIframe")
            for(var i = 0; i < zjIframes.length; i++){
               zjIframes[i].contentWindow.postMessage("playVideo","*");
            }
        }
    }

    function doCheckCurPageHasVideo(findNew){
       console.log('main.js checkCurPageHasVideo');
       var videoTags = document.getElementsByTagName("video");
       var isShow=false
       var result=''
       var videoTag;
       if(videoTags.length==1 && ((videoTag = videoTags[0]).getAttribute("checked") != "1" || !findNew)){
            isShow=true
            var videoSrc = videoTag.currentSrc;
            if(videoSrc == '' && (sources = videoTag.getElementsByTagName("source")).length >0 ){
                videoSrc = sources[0].src;
            }
            if(videoSrc==''){
               isShow=false;
            }
            if(isShow){
               videoTag.setAttribute("checked", "1");
            }

            var videoInfo = {
              'videoSrc': videoSrc,
              'title': document.title,
              'url': document.URL,
            };
            result=JSON.stringify(videoInfo);
            registerVideoTagEvent(videoTag);
       }
       if(isShow || !findNew){
           console.log('main.js 检测到视频：'+isShow);
           kingWeb.showButton(isShow,result);
           if(videoTag){
              videoTag.pause();
           }
       }
    }

    //视频开头多段广告
    var videoSources = [];

    //视频播放事件注册监听
    function registerVideoTagEvent(videoTag, index){
        if (videoTag.getAttribute("vmarked") == "1") {
            return;
        }
        console.log('main.js2 registerVideoTagEvent');
        videoTag.pause();
        videoTag.addEventListener("play", onVideoPlayEvent, true);
        videoTag.setAttribute("vmarked", "1");
        //videoTag.addEventListener("webkitbeginfullscreen", onEnterFullScreenEvent, true);
        //videoTag.addEventListener("webkitendfullscreen", onExitFullScreenEvent, true);
        //videoTag.addEventListener("pause", onVideoPauseEvent, true);
        //videoTag.setAttribute("position",index)

        videoTag.ondurationchange=function(){
            console.log('durationchange 资源长度改变:'+videoTag.duration);
            console.log('durationchange url:'+videoTag.currentSrc);
            if(!isPlayOnWeb){
                //这个很关键
                videoTag.pause();
            }
            if(!videoTag.duration || window.location.hostname == 'm.bilibili.com'){
                console.log(`durationchange duration non`);
                return;
            }

            tryfindNextVideoUrl(videoTag);
            if(videoSources.length > 0 && videoTag.duration > 70 && videoTag.src != '' && videoTag.src.indexOf("blob:") == -1
                && videoTag.src.indexOf(".m3u8") == -1){
                videoSources.push(videoTag.src);
                var videoInfo = {
                    'videoSrc': '',
                    'title': document.title,
                    'url': document.URL,
                    'sources': videoSources
                };
                console.log('main.js2 toPlay'+videoInfo);
                kingWeb.toPlay(JSON.stringify(videoInfo));
            }
        }
    }

    //when video to start
    function onVideoPlayEvent() {
        console.log('main.js2 onVideoPlayEvent');
        if(!isPlayOnWeb){
            checkIsNeedUsePlayerOfApp(this)
        }else{
            var videoSrc = this.currentSrc;
            var sources;
            if(videoSrc == '' && (sources = videoTag.getElementsByTagName("source")).length >0 ){
                videoSrc = sources[0].src;
            }
            kingWeb.playOnWeb(videoSrc)
        }
    }

    function tryfindNextVideoUrl(videoTag){
        console.log("duration::::::"+videoTag.duration);
        var isAd = videoTag.duration < 70;
        if(!isAd){
            return;
        }
        var stopFind = videoTag.getAttribute("stopFind") == "true";

        if(isAd && !stopFind && videoTag.src != '' && videoTag.src.indexOf("blob:") == -1
            && videoTag.src.indexOf(".m3u8") == -1){
            console.log('tryfindNextVideoUrl duration2:'+videoTag.duration);
            if(videoSources.length == 0 || videoSources[videoSources.length-1] != videoTag.src){
                videoSources.push(videoTag.src);
            }
            videoTag.setAttribute("lastSrc", videoTag.src);
            videoTag.src = "";
            setTimeout(function(){
                if(videoTag.src == window.location.href){
                    videoTag.setAttribute("stopFind", true);
                    videoTag.src = videoTag.getAttribute("lastSrc");
                }
            },500);
        } else {
            if(videoSources.length == 0){
                notifyAppPlayerToPlay(videoTag);
            }
        }
    }

    //check need use app player or no
    function checkIsNeedUsePlayerOfApp(videoTag) {
        console.log('main.js2 checkIsNeedUsePlayerOfApp');
        if(isNaN(videoTag.duration)){
            return;
        }
        if (videoTag.duration > 70 || window.location.hostname == 'm.bilibili.com') {
            videoTag.pause();
            notifyAppPlayerToPlay(videoTag);
            //videoTag.parentNode.style.visibility = "visible"
        }else{
            tryfindNextVideoUrl(videoTag);
        }
        console.log('main.js2 checkIsNeedUsePlayerOfApp 2'+videoTag.src);
    }

    /**
     * notify app to play video
     * @param videoTag
     */
    function notifyAppPlayerToPlay(videoTag) {
        console.log('main.js2 notifyAppPlayerToPlay');
        var videoSrc = videoTag.currentSrc;
        var sources;
        if(videoSrc == '' && (sources = videoTag.getElementsByTagName("source")).length >0 ){
            videoSrc = sources[0].src;
        }
        var videoInfo = {
            'videoSrc': videoSrc,
            'title': document.title,
            'url': document.URL,
            'sources':videoSources
        };
        console.log('main.js2 toPlay'+videoInfo);
        kingWeb.toPlay(JSON.stringify(videoInfo));
    }

    //音频播放事件注册监听
    function registerAudioTagEvent(){
        var audioTags = document.getElementsByTagName("audio");
        for (var index = 0; index < audioTags.length; index++) {
            var audioTag = audioTags[index];
            if (audioTag.getAttribute("marked") == "1") {
                continue;
            }
            audioTag.addEventListener("playing", onAudioPlayEvent, true);
            audioTag.setAttribute("marked", "1");
            //audioTag.setAttribute("position",index)
        }

        /**
         * when audio to start
         */
        function onAudioPlayEvent() {
            this.pause()
            notifyAppPlayerToPlayAudio(this)
        }

        /**
         * notify app to play audio
         * @param audioTag
         */
        function notifyAppPlayerToPlayAudio(audioTag) {
            var audioSrc = audioTag.currentSrc;
            var audioInfo = {
                'audioSrc': audioSrc,
                'title': document.title,
                'url': document.URL
            };
            kingWeb.toPlayAudio(JSON.stringify(audioInfo));
            //console.log(audioInfo)
        }
    }

    //跨域视频解析
    function checkCrossDomainVideo(){
        //var videoL = document.getElementsByTagName("video").length;
        var iframeL = document.getElementsByTagName("iframe").length;
        var isCrossDomainVideo = iframeL>0 && !document.domain.match('baidu');
        console.log("main.js>>>>跨域视频解析"+iframeL.length);
        if(isCrossDomainVideo){
            var iframeTags = document.getElementsByTagName("iframe");
            var hasIframe = false;
            var parentHeight = 250;
            for (var index = 0; index < iframeTags.length; index++) {
                var iframeTag = iframeTags[index];
                var addSameIframe = iframeTag.className != "zjzyIframe" && iframeTag.src != ""
                && iframeTag.offsetHeight>=150 && iframeTag.src != iframeTag.getAttribute("oldSrc")
                console.log("main.js>>>>跨域视频解析 src:"+iframeTag.src);
                console.log("main.js>>>>跨域视频解析 addSameIframe:"+addSameIframe);
                if(addSameIframe){
                    console.log("-------------.....>>>>跨域视频获取 offsetHeight"+iframeTag.src)
                    iframeTag.setAttribute("oldSrc",iframeTag.src)
                    var iframe = document.createElement('iframe');
                    iframe.src= iframeTag.src+"zjzyIframe";
                    iframe.className = "zjzyIframe"
                    document.body.appendChild(iframe);
                    hasIframe = true;
                    kingWeb.toParseIframe(iframeTag.src)
                }
            }
        }
    }
}()

