/**
 * Created by wentao.wang on 17/7/6.
 */
var interval = setInterval(function videoTagFinder() {
    var videoTags = document.getElementsByTagName("video");
    for (var index = 0; index < videoTags.length; index++) {
        var videoTag = videoTags[index];
        if (videoTag.getAttribute("marked") == "1") {
            continue;
        }
        //videoTag.addEventListener("webkitbeginfullscreen", onEnterFullScreenEvent, true);
        //videoTag.addEventListener("webkitendfullscreen", onExitFullScreenEvent, true);
        videoTag.addEventListener("play", onVideoPlayEvent, true);
        videoTag.addEventListener("pause", onVideoPauseEvent, true);
        videoTag.setAttribute("marked", "1");
    }
//    if (videoTags.length == 1){
//        var videoTag = videoTags[0];
//        if(videoTag.getAttribute("show") != "1"){
//            videoTag.setAttribute("show", "1");
//            kingWeb.toPlayAd(document.URL);
//        }
//    }
    /**
     *  while the video enter full screen mode
     */
    function onEnterFullScreenEvent() {
    }

    /**
     * when the video exit full screen mode
     */
    function onExitFullScreenEvent() {
    }

    /**
     * when video to start
     */
    function onVideoPlayEvent() {
        checkIsNeedUsePlayerOfApp(this)
    }

    /**
     * when the video to pause
     */
    function onVideoPauseEvent() {
    }

    /**
     * check need use app player or no
     */
    function checkIsNeedUsePlayerOfApp(videoTag) {
        var i = setInterval(function () {
            //if (videoTag.readyState > 0 && !isNaN(videoTag.duration) && videoTag.duration > 0) {//&& !isNaN(videoTag.duration) && videoTag.duration > 0
                /**if video duration more than 5 min, use app player to play*/
                if (videoTag.duration > 70) {
                    videoTag.pause();
                    videoTag.parentNode.style.visibility = "visible"
                }else{
                    videoTag.muted = true;
                    //visibility隐藏并占用高度
                    videoTag.parentNode.style.visibility = "hidden"
                }
                if(isNaN(videoTag.duration)){
                    setTimeout(function(){
                        if (videoTag.duration > 70) {
                            videoTag.pause();
                            videoTag.parentNode.style.visibility = 'visible'
                        }
                    }, 300);
                }
                notifyAppPlayerToPlay(videoTag);
                clearInterval(i)
            //}
        }, 200)
    }

    /**
     * notify app to play video
     * @param videoTag
     */
    function notifyAppPlayerToPlay(videoTag) {
        var videoSrc = videoTag.currentSrc;
        var sourceArr = new Array();
        var sources = videoTag.getElementsByTagName("source");
        if (sources != null && sources.length > 0) {
            for (var index = 0; index < sources.length; index++) {
                var sourceInfo = {
                    'url': sources[index].getAttribute("src"),
                    'media': sources[index].getAttribute("media"),
                    'type': sources[index].getAttribute("type")
                };
                sourceArr.push(sourceInfo);
            }
        }
        var videoInfo = {
            'videoSrc': videoSrc,
            'source': sourceArr,
            'title': document.title,
            'url': document.URL,
        };
        kingWeb.toPlay(JSON.stringify(videoInfo));
    }

    function addVideoBackground(){
        var videoTags = document.getElementsByTagName("video");
        var ifmParent;
        var videoTag;
        var parentHeight = 250;
        if (videoTags.length == 1) {
            videoTag = videoTags[0];

            var url = window.location.href;
            ifmParent = videoTag.parentNode;

            parentHeight = videoTag.offsetHeight;
        }
        var newnode=document.createElement("div");

        newnode.innerHTML = "<div id='player_area' style='background:#000; z-index: 99999; position:fixed; width:100%; height:"+parentHeight+"px;'> <font size='4' color='white' id='tipMsg' style='height:50px; width:300;position:absolute;top:50%; left:50%;transform: translate(-50%,-50%);display: none'>正在使用小窗播放</font></div>";

        ifmParent.insertBefore(newnode, videoTag);
    }

    function removeVideoBackgound(){
        var videoTags = document.getElementsByTagName("video");
        if (videoTags.length == 1) {
            videoTag = videoTags[0];
            var parentNode = videoTag.parentNode;
            var backGroundDiv = document.getElementByTagId("player_area");
            parentNode.removeChild(backGroundDiv);
        }
    }

}, 300)